summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorK. Piche <kevin@archlinux.org>2007-12-23 00:58:49 +0100
committerDan McGee <dan@archlinux.org>2007-12-29 02:54:45 +0100
commitc84feb92dbbc6d5f60cb58db53cfc372acf0516c (patch)
tree77f8ac8448ab4ccb01dc29eb60c94d7d8de33917
parent14d6832ef24aeda7fe77cf4285538baa6e21670c (diff)
downloadpacman-c84feb92dbbc6d5f60cb58db53cfc372acf0516c.tar.gz
pacman-c84feb92dbbc6d5f60cb58db53cfc372acf0516c.tar.xz
Makepkg missing check for empty pkgname
I thought it was wierd that makepkg didn't do a sanity check for the $pkgname. This makes for a simple first try at a GIT patch. Signed-off-by: K. Piche <kevin@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ef7bae50..f37772a6 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1288,6 +1288,10 @@ fi
source "$BUILDSCRIPT"
# check for no-no's in the build script
+if [ -z "$pkgname" ]; then
+ error "$(gettext "%s is not allowed to be empty.")" "pkgname"
+ exit 1
+fi
if [ -z "$pkgver" ]; then
error "$(gettext "%s is not allowed to be empty.")" "pkgver"
exit 1